<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.teachcloud.mark.mapper.MarkGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.teachcloud.mark.entity.MarkGroup">
        <id column="exam_id" property="examId" />
        <id column="paper_number" property="paperNumber" />
        <id column="number" property="number" />
        <result column="pic_list" property="picList" />
        <result column="total_score" property="totalScore" />
        <result column="double_rate" property="doubleRate" />
        <result column="arbitrate_threshold" property="arbitrateThreshold" />
        <result column="score_policy" property="scorePolicy" />
        <result column="task_count" property="taskCount" />
        <result column="marked_count" property="markedCount" />
        <result column="left_count" property="leftCount" />
    </resultMap>

</mapper>
